#ifndef DIRECTBYTEBUFFER_HPP_INCLUDED
#define DIRECTBYTEBUFFER_HPP_INCLUDED

#include "AbstractByteBuffer.hpp"
#include "../JavaClass/Class.hpp"
#include "../JavaClass/ByteBuffer.hpp"

namespace Internal
{
    class DirectByteBuffer : public AbstractByteBuffer
    {
        public:
            DirectByteBuffer();
            DirectByteBuffer(const void* Obj);
            DirectByteBuffer(const DirectByteBuffer& D);
            static Class GetClass();

            ByteBuffer GetBuffer() const;

    };
}

#endif // DIRECTBYTEBUFFER_HPP_INCLUDED
